# Group UserChats
Welcome to the user chats API. This API provides access to the user chats service.

## user chats [/user_chats]

### Create user chats [POST]

Create a new user chats

+ Request user chats (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json
    + Attributes

        + chat_id: 1 (number)

+ Response 201 (application/json; charset=utf-8)
    + Attributes (user_chats, fixed)

### Get user chats [GET]

Returns an user chats list.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 200 (application/json; charset=utf-8)
    + Attributes (array, fixed)
        + (user_chats)

## user chats details [/user_chats/{id}]

+ Parameters
    + id: `1` (enum[string]) - The ID of the desired user chats.
        + Members
            + `1`
            + `2`
            + `3`

### Get user chats [GET]

Returns an user chats.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 200 (application/json; charset=utf-8)
    + Attributes (user_chats, fixed)

### Update user chats [PUT]

Update an user chats.

+ Request user_chats (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json
    + Attributes

        + chat_id: 1 (number)

+ Response 200 (application/json; charset=utf-8)
    + Attributes (user_chats, fixed)

### Delete user chats [DELETE]

Delete an user chats.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 204

# Data Structures
## user_chats (object)

+ id: *1* (number)
+ chat_id: *1* (number)
+ created_at: `*2000-01-01 00:00:00*` (string)
+ updated_at: `*2000-01-01 00:00:00*` (string)
